<!DOCTYPE html>
<html>
	<head>
		<meta name="viewport" content="width=device-width, initial-scale=1.0">
		<title>StyleZero SETUP_VERSION</title>
		<?=StyleZero::head()?>
		<style zero>
			*{box-sizing:border-box}
			a{color:inherit;text-decoration:none}
		</style>
		<script zero>
			console.log('StyleZero\nTemplate ID: '+STYLEZERO_ID+'\nCompile time: '+new Date(STYLEZERO_TIME*1000));
		</script>
	</head>
	<body class="0{text-align:center;background:#28282d;color:white;font-family:Ubuntu,'Corbel',sans-serif;margin:0;padding:20px}">
		<header class="0>p>i{font-weight:bold} 0:hover>h1{color:orange} 0:hover>p>i{color:orange}">
			<h1>StyleZero SETUP_VERSION</h1>
			<p>
				The world's most <i>versatile</i> and <i>easy</i> way to write <i>optimized</i> css.
			</p>
		</header>
		<main class="0{margin:30px 0}">
			<style zero>
				.button{font-weight:bold;border:1px solid;padding:10px 20px;font-size:small;border-radius:5px}
				.button:hover{color:tomato}
			</style>
			<div class="0{display:flex;flex-direction:column;gap:6px;width:700px;max-width:100%;margin:0 auto;resize:horizontal;overflow:auto;container-type:inline-size}">
				<a class="button 0{width:100%} @medium@:hover{color:mediumseagreen} @large@:hover{color:cornflowerblue}" href="https://www.stylezero.org/" target="_blank">Website</a>
				<div class="0{display:flex;flex-direction:column;gap:6px} @medium{flex-direction:row}">
				<?php foreach([
					'Documentation'=>'https://www.stylezero.org/docs',
					'Template syntax'=>'https://www.stylezero.org/docs/template',
					'F.A.Q.'=>'https://www.stylezero.org/about/faq'
				]as$text=>$url){?>
					<a class="button 0{flex:1} @medium:hover{color:mediumseagreen} @large:hover{color:cornflowerblue}" href="<?=$url?>" target="_blank"><?=$text?></a>
				<?php }?>
				</div>
			</div>
		</main>
		<footer>
			Current screen: <b>
				<span class="0{color:tomato} @medium{display:none}">small (mobile)</span>
				<span class="0{display:none;color:mediumseagreen} @medium{display:inline} @large{display:none}">medium (tablet)</span>
				<span class="0{display:none;color:cornflowerblue} @large{display:inline}">large (desktop)</span>
			</b>
			<small class="0{color:slategray;line-height:2em}">
				<br>
				<i class="@small-only{display:none}">Resize your window to change the screen.<br></i>
				<br>
				Template&nbsp;ID:&nbsp;<stylezero:id> &nbsp;|&nbsp; Compile&nbsp;time:&nbsp;<stylezero:time>
			</small>
		</footer>
	</body>
</html>
